aboutsummaryrefslogtreecommitdiffstats
path: root/community/gpgme/APKBUILD
blob: 44778b7fb7658eec7c84a79e3b961d53be3f2f12 (plain) (blame)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
# Contributor: Leo <thinkabit.ukim@gmail.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=gpgme
pkgver=1.15.1
pkgrel=4
pkgdesc="gnupg made easy"
url="https://www.gnupg.org/related_software/gpgme/"
arch="all"
license="LGPL-2.1-or-later GPL-3.0-or-later"
# NOTE: gpgme needs at least gpg or gpgsm, but most programs use only gpg.
# Some packages depending on gpgme need more GnuPG components (e.g.
# gnupg-dirmngr); these must be explicitly defined in the package's depends
# (not here!).
depends="gpg"
depends_dev="qt5-qtbase-dev"
checkdepends="gnupg"
makedepends="$depends_dev python3-dev py3-setuptools swig libgpg-error-dev libassuan-dev"
install="$pkgname.post-upgrade gpgmepp.post-upgrade qgpgme.post-upgrade"
subpackages="
	$pkgname-dev
	$pkgname-doc
	gpgmepp
	py3-gpgme:py3
	q$pkgname
	$pkgname-lisp:lisp:noarch
	"
source="https://www.gnupg.org/ftp/gcrypt/gpgme/gpgme-$pkgver.tar.bz2"

build() {
	./configure \
		--build=$CBUILD \
		--host=$CHOST \
		--prefix=/usr \
		--sysconfdir=/etc \
		--mandir=/usr/share/man \
		--infodir=/usr/share/info \
		--localstatedir=/var \
		--enable-languages="cl cpp python qt" \
		--enable-static
	make
}

package() {
	make DESTDIR="$pkgdir" install
}

check() {
	make check
}

lisp() {
	pkgdesc="Common Lisp bindings for GPGME"
	depends="$depends $pkgname=$pkgver-r$pkgrel"

	amove usr/share
}

gpgmepp() {
	pkgdesc="C++ bindings for GPGME"

	amove usr/lib/libgpgmepp.so.*
}

py3() {
	pkgdesc="Python 3 bindings for $pkgname"
	depends="$depends $pkgname=$pkgver-r$pkgrel python3"

	amove usr/lib/python3*
}

qgpgme() {
	pkgdesc="Qt bindings for GPGME"

	amove usr/lib/libqgpgme.so*
}

sha512sums="
1d75a848cce6389f7cb8896b57a28dfe1dc5a447bfb4f128b0994a43e04134343400a3be063e971f03dfd595474cfd558519741d5d56afb3e84853ad4f2a45c2  gpgme-1.15.1.tar.bz2
"